class AyaTangheemType {
  int totalItemsCount;
  int statusCode;
  String message;
  List<AyaTangheemTypeData> data;

  AyaTangheemType({this.totalItemsCount, this.statusCode, this.message, this.data});

  AyaTangheemType.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data.add(new AyaTangheemTypeData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class AyaTangheemTypeData {
  String ayaTangheemTypeId;
  int surahNo;
  int ayaNo;
  String highlightText;
  bool isActive;
  String tangheemTypeId;
  String tangheemTypeName;
  int ayatNumberInSurah;

  AyaTangheemTypeData({this.ayaTangheemTypeId, this.surahNo, this.ayaNo, this.highlightText, this.isActive, this.tangheemTypeId, this.tangheemTypeName, this.ayatNumberInSurah});

  AyaTangheemTypeData.fromJson(Map<String, dynamic> json) {
    ayaTangheemTypeId = json['ayaTangheemTypeId'];
    surahNo = json['surahNo'];
    ayaNo = json['ayaNo'];
    highlightText = json['highlightText'];
    isActive = json['isActive'];
    tangheemTypeId = json['tangheemTypeId'];
    tangheemTypeName = json['tangheemTypeName'];
    ayatNumberInSurah = json['ayatNumberInSurah'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ayaTangheemTypeId'] = this.ayaTangheemTypeId;
    data['surahNo'] = this.surahNo;
    data['ayaNo'] = this.ayaNo;
    data['highlightText'] = this.highlightText;
    data['isActive'] = this.isActive;
    data['tangheemTypeId'] = this.tangheemTypeId;
    data['tangheemTypeName'] = this.tangheemTypeName;
    data['ayatNumberInSurah'] = this.ayatNumberInSurah;
    return data;
  }
}
